PIDOF(1)

NAZWA
pidof - znalezienie ID procesu działającego programu

SKŁADNIA
pidof [-s] [-c] [-q] [-w] [-x] [-o omitpid[,...]] ... [-t] [-S separator] program ...

OPIS
Pidof znajduje identyfikatory procesów (pidy) programów o podanych nazwach. Identyfikatory są wypisywane na standardowe wyjście.

OPCJE

-s  Pojedynczy strzał - program zwróci tylko jeden pid.

-c  Zwracanie tylko identyfikatorów procesów działających w tym samym katalogu głównym. Ta opcja jest ignorowana dla użytkowników bez praw roota, ponieważ nie mają oni możliwości sprawdzenia katalogu głównego procesów, których nie są właścicielami.

-q  Tryb cichy - pominięcie całego wyjścia i ustawienie tylko odpowiedniego statusu zakończenia.

-w  Pokazanie także procesów, które nie mają widocznej linii polecenia (np. wątków jądra).

-x  Także skrypty - powoduje to, że program zwróci także identyfikatory procesów powłok uruchamiających skrypty o podanych nazwach.

-o pomiń-pid
    Pominięcie przez pidof procesów o podanych identyfikatorach. Można podać pid specjalny %PPID, aby określić proces rodzica programu pidof, innymi słowy powłokę lub skrypt go wywołujący.

-t  Pokazanie wszystkich identyfikatorów wątków zamiast pidów.

-S separator
    Używanie podanego separatora między pidami. Używane tylko w przypadku wypisywania więcej niż jednego pidu dla programu. Opcja -d jest aliasem dla tej opcji w celu zgodności z programem pidof z pakietu sysvinit.

KOD WYJŚCIA

0   Znaleziono przynajmniej jeden program o żądanej nazwie.

1   Nie znaleziono programu o żądanej nazwie.

BŁĘDY
Podczas używania opcji -x, pidof ma tylko prostą metodę wykrywania skryptów i pominie skrypty np. używające env. Ograniczenie to jest spowodowane tym, jak wyglądają skrypty w systemie plików proc.

ZOBACZ TAKŻE
pgrep(1), pkill(1)

AUTOR
Jaromir Capik (jcapik@redhat.com)